### Method

# Gdk DrawContextget_frame_region

#### Declaration [src]

    const cairo_region_t*
    gdk_draw_context_get_frame_region (
      GdkDrawContext* context
    )

#### Description [src]

Retrieves the region that is currently being repainted.

After a call to `gdk_draw_context_begin_frame()` this function will return a union of the region passed to that function and the area of the surface that the `context` determined needs to be repainted.

If `context` is not in between calls to `gdk_draw_context_begin_frame()` and `gdk_draw_context_end_frame()`, `NULL` will be returned.

#### Return value

Type: `cairo_region_t`

A Cairo region.

The data is owned by the instance.
The return value can be `NULL`.